这是原厂英文文档的翻译页面. 欢迎帮助我们 完善文档.

Sidebar

2022 Zabbix中国峰会
2022 Zabbix中国峰会

1 PostgreSQL 插件依赖

概述

本页列出了 PostgreSQL 可加载插件所需的库。

Golang 库

要求 强制状态 最低版本 说明
git.zabbix.com/ap/plugin-support 1.X.X Zabbix 自己的支持库。 主要用于插件。
github.com/jackc/pgx/v4 4.17.2 PostgreSQL 驱动程序。
github.com/omeid/go-yarn 0.0.1 可嵌入文件系统映射键字符串存储。
github.com/jackc/chunkreader/v2 间接1 2.0.1
github.com/jackc/pgconn 1.13.0
github.com/jackc/pgio 1.0.0
github.com/jackc/pgpassfile 1.0.0
github.com/jackc/pgproto3/v2 2.3.1
github.com/jackc/pgservicefile 0.0.0
github.com/jackc/pgtype 1.12.0
github.com/jackc/puddle 1.3.0
github.com/natefinch/npipe 0.0.0
golang.org/x/crypto 0.0.0
golang.org/x/sys 0.0.0
golang.org/x/text 0.3.7

1 “间接”表示它用于agent使用的库之一。 这是必需的,因为 Zabbix 使用使用该包的库。